package com.sv.mapper;

import com.sv.entity.Recharge;

import java.util.List;

/**
 * Mapper - 快速充值配置信息
 *
 * @author lihong
 * @since 2018-08-03
 */
public interface RechargeMapper {

    /**
     * 新建快速充值配置信息
     *
     * @param recharge 快速充值配置信息
     */
    void insert(Recharge recharge);

    /**
     * 更新快速充值配置信息
     *
     * @param recharge 快速充值配置信息
     */
    void update(Recharge recharge);

    /**
     * 删除快速充值配置信息
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除快速充值配置信息
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询快速充值配置信息
     *
     * @param id 编号
     * @return 快速充值配置信息
     */
    Recharge findById(Integer id);

    /**
     * api
     * 查询快速充值配置信息
     *
     * @return 快速充值配置信息集合
     */
    List<Recharge> findAll();

}